package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysAgentLoginTypeTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface SysAgentLoginTypeRepository extends BaseRepository<SysAgentLoginTypeTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysAgentLoginTypeTable findFirstById(Long id);

    List<SysAgentLoginTypeTable> findAllByIdIn(List<Long> ids);

    SysAgentLoginTypeTable getFirstById(Long id);

    SysAgentLoginTypeTable findFirstByAgentIdAndComPointAndHide(Long agentId,Integer comPoint, Integer hide);
}
